module.exports = {
  "extends": [
    "stylelint-config-standard",
    "stylelint-config-css-modules",
  ],
  "plugins": [
    "stylelint-declaration-use-variable",
    "stylelint-order",
  ],
  "rules": {
     "sh-waqar/declaration-use-variable": [[
      "font",
      "font-family",
      "font-size",
      "font-weight",
      "z-index",
      "color",
    ]],
    "order/properties-order": [
      "@extend",
      "@include",
      "@mixin",
      "composes",
      "position",
      "top",
      "right",
      "bottom",
      "left",
      "z-index",
      "display",
      "visibility",
      "overflow",
      "overflow-x",
      "overflow-y",
      "float",
      "clear",
      "table-layout",
      "border-collapse",
      "empty-cells",
      "box-sizing",
      "width",
      "min-width",
      "max-width",
      "height",
      "min-height",
      "max-height",
      "margin",
      "margin-top",
      "margin-right",
      "margin-bottom",
      "margin-left",
      "padding",
      "padding-top",
      "padding-right",
      "padding-bottom",
      "padding-left",
      "font",
      "font-family",
      "font-size",
      "font-style",
      "font-variant",
      "font-weight",
      "letter-spacing",
      "line-height",
      "list-style",
      "list-style-type",
      "list-style-position",
      "list-style-image",
      "outline",
      "outline-width",
      "outline-style",
      "outline-color",
      "text-align",
      "text-decoration",
      "text-indent",
      "text-transform",
      "text-shadow",
      "border",
      "border-width",
      "border-style",
      "border-color",
      "border-radius",
      "border-top",
      "border-top-width",
      "border-top-style",
      "border-top-color",
      "border-right",
      "border-right-width",
      "border-right-style",
      "border-right-color",
      "border-bottom",
      "border-bottom-width",
      "border-bottom-style",
      "border-bottom-color",
      "border-left",
      "border-left-width",
      "border-left-style",
      "border-left-color",
      "border-top-left-radius",
      "border-top-right-radius",
      "border-bottom-right-radius",
      "border-bottom-left-radius",
      "white-space",
      "content",
      "color",
      "background",
      "background-color",
      "background-image",
      "background-repeat",
      "background-attachment",
      "background-position",
      "background-size",
      "fill",
      "stroke",
      "vertical-align",
      "opacity",
      "animation",
      "transform",
      "transition",
      "box-shadow",
      "flex",
      "flex-basis",
      "flex-direction",
      "flex-flow",
      "flex-grow",
      "flex-shrink",
      "flex-wrap",
      "align-content",
      "align-items",
      "justify-content",
      "order",
      "...",
    ],
    'at-rule-no-unknown': [ true, {
      ignoreAtRules: [
        'each',
        'else',
        'extend',
        'for',
        'function',
        'if',
        'include',
        'mixin',
        'return',
        'while',
      ],
    }],
  }
}
